python-simpy3_3.0.11-1_all.deb


Advertisement

Description

python-simpy3 - python-based simulation package

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename python-simpy3_3.0.11-1_all.deb
Package name python-simpy3
Package version 3.0.11
Package release 1
Package architecture all
Package type deb
Category python
Homepage http://simpy.rtfd.org
License -
Maintainer Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Download size 27.55 KB
Installed size 116.00 KB
SimPy is a process-based discrete-event simulation language based on
standard Python.
Its event dispatcher is based on Python’s generators and can also be
used for asynchronous networking or to implement multi-agent systems (with
both, simulated and real communication). Processes in SimPy are defined by
Python generator functions and can, for example, be used to model active
components like customers, vehicles or agents. SimPy also provides various
types of shared resources to model limited capacity congestion points (like
servers, checkout counters and tunnels).
This package contains SimPy 3, which has conceptual and API changes from the
previous version SimPy 2.

Alternatives

Package Version Architecture Repository
python-simpy3_3.0.11-1_all.deb 3.0.11 all Debian Main
python-simpy3 - - -

Requires

Name Value
python:any << 2.8
python:any >= 2.7~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python-simpy3_3.0.11-1_all.deb
Source Package python-simpy3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-simpy3 deb package:
    # sudo apt-get install python-simpy3

Files

Path
/usr/lib/python2.7/dist-packages/simpy/__init__.py
/usr/lib/python2.7/dist-packages/simpy/_compat.py
/usr/lib/python2.7/dist-packages/simpy/core.py
/usr/lib/python2.7/dist-packages/simpy/events.py
/usr/lib/python2.7/dist-packages/simpy/exceptions.py
/usr/lib/python2.7/dist-packages/simpy/rt.py
/usr/lib/python2.7/dist-packages/simpy/util.py
/usr/lib/python2.7/dist-packages/simpy-3.0.11.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/simpy-3.0.11.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/simpy-3.0.11.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/simpy/resources/__init__.py
/usr/lib/python2.7/dist-packages/simpy/resources/base.py
/usr/lib/python2.7/dist-packages/simpy/resources/container.py
/usr/lib/python2.7/dist-packages/simpy/resources/resource.py
/usr/lib/python2.7/dist-packages/simpy/resources/store.py
/usr/share/doc/python-simpy3/README.txt
/usr/share/doc/python-simpy3/changelog.Debian.gz
/usr/share/doc/python-simpy3/changelog.gz
/usr/share/doc/python-simpy3/copyright

Changelog

2018-09-15 - W. Martin Borgert <debacle@debian.org>
python-simpy3 (3.0.11-1) unstable; urgency=medium
* Team upload
* New version, support Python 3.7 (Closes: #907067)
[ Ondřej Nový ]
* d/changelog: Remove trailing whitespaces
* d/control: Remove trailing whitespaces
* d/control: Remove ancient X-Python3-Version field
2018-03-05 - W. Martin Borgert <debacle@debian.org>
python-simpy3 (3.0.10-3) unstable; urgency=medium
* team upload
* fix doc-base file (Closes: #873312)
* bump standards and dh compat
* remove myself from uploaders
[ Ondřej Nový <onovy@debian.org>, 2018-02-13 ]
* d/control: Set Vcs-* to salsa.debian.org
* d/copyright: Use https protocol in Format field
* d/watch: Use https protocol
2017-08-25 - W. Martin Borgert <debacle@debian.org>
python-simpy3 (3.0.10-2) unstable; urgency=medium
* Do not remove license file, that is part of package docs
(Closes: #869528)
* New policy version 4.0.1 (no changes)
2016-09-26 - W. Martin Borgert <debacle@debian.org>
python-simpy3 (3.0.10-1) unstable; urgency=low
* New upstream release 3.0.10
* Update to Standards-Version 3.9.8 (no changes)
* Add myself to uploaders
[ Larissa Reis ]
* New upstream release 3.0.8
* New monitoring guide in documentation
* Fixed and improved test cases
[ Ondřej Nový ]
* Fixed VCS URL (https)
2015-04-30 - Larissa Reis <larissa@colivre.coop.br>
python-simpy3 (3.0.7+dfsg-1) unstable; urgency=low
* SimPy 3.0.7 release (Closes: #729866)
- Simpy 3 API is not compatible with Simpy 2. For information on changes
from Simpy 2, see
http://simpy.rtfd.org/en/latest/topical_guides/porting_from_simpy2.html
* Update to Standards-Version 3.9.6 (no changes)
* Update License
* Rewrite debian/rules to use pybuild
* Patch sphinx docs to use local inventory instead of downloading from
python.org
2012-04-17 - Nicolas Dandrimont <nicolas.dandrimont@crans.org>
python-simpy (2.3.1-1) unstable; urgency=low
* New upstream release
- Add a patch to fix the sphinx documentation build
- Add a patch to fix README.txt's encoding for the python3 build
* Add a python3-simpy binary package (SimPy now supports Python3!)
* Update to Standards-Version 3.9.3 (no changes)
* Update the copyright file
- Add the new contributors
- Update format to 1.0
* Run the tests at build-time (adding a Build-Depend on python-pytest)
2011-10-12 - Nicolas Dandrimont <nicolas.dandrimont@crans.org>
python-simpy (2.2-1) unstable; urgency=low
* New upstream release (Closes: #644671)
2011-08-20 - Nicolas Dandrimont <nicolas.dandrimont@crans.org>
python-simpy (2.1.0-1) unstable; urgency=low
* New upstream release (Closes: #463044)
* Take over the package under the Python Modules Team.
- Thanks Antal A. Buss for your work on this package.
* Add debian/watch file
* Update Standards-Version to 3.9.2 (no changes)
* Bump dehelper compat level to 8
* Switch to dh_python2
* Switch to the 3.0 (quilt) source format
* Build the documentation from source
* Drop old Conflicts/Replaces
* Update the copyright file, switch to DEP5
2007-12-09 - Antal A. Buss <abuss@puj.edu.co>
python-simpy (1.8-1) unstable; urgency=low
* New upstream release (Closes: #409997)
* add Homepage fields and remove Homepage from package description.
* Removed pycompat file and X{B|S}-Python related fields
2006-08-16 - Antal A. Buss <abuss@puj.edu.co>
python-simpy (1.7.1-1) unstable; urgency=low
* New upstream release (Closes: #359028, #340295, #376083)
* Acknowledge NMU (Closes: #373354)
* Rewrite rules to follow new Python policy using python-support
* Removed python2.3-simpy and python2.3-simpy-gui.

See Also

Package Description
python-simpy_2.3.1+dfsg-1_all.deb python-based simulation package
python-singledispatch_3.4.0.3-2_all.deb single-dispatch generic functions for Python
python-sip-dev_4.19.14+dfsg-2_i386.deb Python/C++ bindings generator development files
python-sip-doc_4.19.14+dfsg-2_all.deb Python/C++ bindings generator documentation
python-sip_4.19.14+dfsg-2_i386.deb Python/C++ bindings generator runtime library
python-sireader_1.1.1-1_all.deb Python module to communicate with SportIdent main stations (Python 2)
python-six-doc_1.12.0-1_all.deb Python 2 and 3 compatibility library (documentation)
python-six_1.12.0-1_all.deb Python 2 and 3 compatibility library (Python 2 interface)
python-skimage-doc_0.14.2-2_all.deb Documentation and examples for scikit-image
python-skimage-lib_0.14.2-2_i386.deb Optimized low-level algorithms for scikit-image
python-skimage_0.14.2-2_all.deb Python modules for image processing
python-sklearn-doc_0.20.2+dfsg-6_all.deb documentation and examples for scikit-learn
python-sklearn-lib_0.20.2+dfsg-6_i386.deb low-level implementations and bindings for scikit-learn
python-sklearn_0.20.2+dfsg-6_all.deb Python modules for machine learning and data mining - Python 2
python-sleekxmpp_1.3.3-4_all.deb XMPP (Jabber) Library Implementing Everything as a Plugin (Python 2.x)
Advertisement
Advertisement